Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Interface MenuItems

All Known Subinterfaces:
  HelpMenuItems

All Known Implementing Classes:
  UserGuideMenuItems

public interface MenuItems

This interface should be used for objects representing a group of MenuItem(s) that should be added to a Menu. If a Menu comes in contact with a MenuItems object, it will use the iterator to go through all of the JMenuItem objects that are contained within the MenuItems.

Method Summary
`java.util.Iterator` | `iterator()` Get the java.util.Iterator used to retrieve all of the JMenuItems held inside the MenuItems object.

Method Detail

### iterator

    public java.util.Iterator iterator()

  Get the java.util.Iterator used to retrieve all of the JMenuItems held inside the MenuItems object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details